Bug 212654 - www/py-requests: Update to 2.11.1
Summary: www/py-requests: Update to 2.11.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: easy, needs-qa
Depends on:
Blocks: 212794
  Show dependency treegraph
 
Reported: 2016-09-13 13:39 UTC by Boris Samorodov
Modified: 2016-09-22 14:32 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
Update to 2.11.1 (813 bytes, patch)
2016-09-13 13:39 UTC, Boris Samorodov
no flags Details | Diff
poudriere-test-12-amd64 (47.48 KB, text/plain)
2016-09-18 13:32 UTC, Danilo G. Baio
no flags Details
poudriere-test-93-amd64 (47.50 KB, text/plain)
2016-09-18 13:33 UTC, Danilo G. Baio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2016-09-13 13:39:15 UTC
Created attachment 174725 [details]
Update to 2.11.1

A new version is available.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-09-16 00:35:43 UTC
Thanks Boris

Approved to assign/commit if it passes QA (poudriere, make test)
Comment 2 Danilo G. Baio freebsd_committer 2016-09-18 13:32:39 UTC
Created attachment 174910 [details]
poudriere-test-12-amd64


I am working on 'devel/py-http-prompt' upgrade that uses 'www/httpie' and it's broken right now.

www/httpie needs this upgrade:
  pkg_resources.DistributionNotFound: The 'requests>=2.11.0' distribution 
  was not found and is required by httpie

I've did a QA:

portlint: OK (looks fine.)
testport: 
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
	
Attached poudriere logs as example.
Comment 3 Danilo G. Baio freebsd_committer 2016-09-18 13:33:12 UTC
Created attachment 174911 [details]
poudriere-test-93-amd64
Comment 4 commit-hook freebsd_committer 2016-09-22 14:32:34 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Sep 22 14:32:14 UTC 2016
New revision: 422623
URL: https://svnweb.freebsd.org/changeset/ports/422623

Log:
  - Update to 2.11.1

  PR:		212654
  Submitted by:	bsam@FreeBSD.org
  Approved by:	koobs@FreeBSD.org (maintainer)

Changes:
  head/www/py-requests/Makefile
  head/www/py-requests/distinfo